# class KConfig

#### PyKDE - Python Bindings for KDE

# class KConfig

Table of contents
Modules
tdecore Classes
All Classes

Module | tdecore
Class | KConfig
Inherits | KConfigBase

### methods

- KConfig (fileName = TQString .null, bReadOnly = 0, bUseKDEGlobals = 1, resType = "config")

  returns a KConfig instance

  Argument | Type | Default
  --- | --- | ---
  fileName | TQString | TQString .null
  bReadOnly | bool | 0
  bUseKDEGlobals | bool | 1
  resType | char | "config"

- KConfig (backEnd, bReadOnly = 0)

  returns a KConfig instance
  In versions KDE 3.2.0 and above only

  Argument | Type | Default
  --- | --- | ---
  backEnd | KConfigBackEnd |
  bReadOnly | bool | 0

- KConfig (a0)

  returns a KConfig instance

  Argument | Type | Default
  --- | --- | ---
  a0 | KConfig |

- checkUpdate (id, updateFile)

  returns nothing
  In versions KDE 3.1.0 and above only

  Argument | Type | Default
  --- | --- | ---
  id | TQString |
  updateFile | TQString |

- copyTo (file, config = 0)

  returns (KConfig)
  In versions KDE 3.2.0 and above only

  Argument | Type | Default
  --- | --- | ---
  file | TQString |
  config | KConfig | 0

- entryMap (pGroup)

  returns (TQMap<TQString,TQString>)

  Argument | Type | Default
  --- | --- | ---
  pGroup | TQString |

- forceGlobal ()

  returns (bool)

- groupList ()

  returns (TQStringList)

- internalEntryMap (pGroup)

  returns (KEntryMap)

  Argument | Type | Default
  --- | --- | ---
  pGroup | TQString |

- internalEntryMap ()

  returns (KEntryMap)

- internalHasGroup (group)

  returns (bool)

  Argument | Type | Default
  --- | --- | ---
  group | TQCString |

- lockFile (bGlobal = 0)

  returns (KLockFile.Ptr)
  In versions KDE 3.3.0 and above only

  Argument | Type | Default
  --- | --- | ---
  bGlobal | bool | 0

- lookupData (_key)

  returns (KEntry)

  Argument | Type | Default
  --- | --- | ---
  _key | KEntryKey |

- putData (_key, _data, _checkGroup = 1)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  _key | KEntryKey |
  _data | KEntry |
  _checkGroup | bool | 1

- reparseConfiguration ()

  returns nothing

- rollback (bDeep = 1)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  bDeep | bool | 1

- setFileWriteMode (mode)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  mode | int |

- setForceGlobal (force)

  returns nothing

  Argument | Type | Default
  --- | --- | ---
  force | bool |